A callback is a notification request actively sent by the platform to the merchant regarding withdrawals or deposits. Upon receiving the notification, the merchant processes the appropriate business logic. Merchants should fully understand the callback rules and handle the callback data correctly. To learn more about the detailed callback mechanism, click here.
Callback Request
The callback request from the platform uses the same signature method and data structure as the API requests initiated by the merchant.
If you need to authenticate and verify the callback signature, you can generate the callback API key/Secret in the merchant dashboard.
Use the webhookType parameter in the callback to determine whether it is a withdrawal or deposit callback. The content of the callback varies depending on the type.
For both receiving and sending payments, an order typically triggers two callbacks. Determine the type based on the status parameter in the callback:
When status is AwaitingConfirmation, it is the first callback.
When status is Success or Failed, it is the second callback.
If your business does not need to display the AwaitingConfirmation status of an order, you can ignore the first callback, as it represents a transitional state of the order.
Callback Response
For callbacks, you need to respond with an HTTP status code 200 without a response body. If the server is temporarily unavailable or the response status is not 200, the platform will retry the callback multiple times with increasing delay intervals. The number of retries is limited. If retries are exhausted and the callback fails, you can manually resend the callback from the “Transaction Callback” section in the merchant dashboard.
You can use tools like requestcatcher.com to conveniently test your callbacks.
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Bass Wallet","colors":{"primary":"#198CFF","light":"#198CFF","dark":"#198CFF"},"favicon":"/logo/ico.png","logo":{"light":"https://mintcdn.com/beijing/v5gqfUOE1WDiXL_c/logo/light.svg?fit=max\u0026auto=format\u0026n=v5gqfUOE1WDiXL_c\u0026q=85\u0026s=0595c4688fe74961849f8c0350d24cea","dark":"https://mintcdn.com/beijing/v5gqfUOE1WDiXL_c/logo/dark.svg?fit=max\u0026auto=format\u0026n=v5gqfUOE1WDiXL_c\u0026q=85\u0026s=17706dc7f8f1cfc442d801697c36eb4f","href":"https://basswallet.com"},"background":{"image":"https://mintlify.s3.us-west-1.amazonaws.com/beijing/images/background.png","decoration":null},"navbar":{"links":[{"label":"Support","href":"https://t.me/basswallet_api_support"},{"label":"Chinese","href":"https://docs-zh.basswallet.com"}],"primary":{"type":"button","label":"Website","href":"https://basswallet.com"}},"footer":{"socials":{"x":"https://x.com/basswallet","github":"https://github.com/basswallet"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"beijing","hasAudioNarration":false,"actualSubdomain":"beijing","customDomains":["docs-en.basswallet.com"],"gitSource":{"type":"github","owner":"blockchain-service","repo":"basswallet-docs-en","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae92455678a058a90053286:success","clientVersion":"0.0.4131","searchFilterCounts":[{"language":"default","tag":"Merchant API","count":25},{"language":"default","tag":"Request Methods","count":17},{"language":"default","tag":"Merchant Guide","count":10},{"language":"default","tag":"Integration Guide","count":8},{"language":"default","tag":"General","count":6},{"language":"default","tag":"Deposits","count":6},{"language":"default","tag":"FAQs","count":6},{"language":"default","tag":"Basic Info","count":5},{"language":"default","tag":"Integration Details","count":4},{"language":"default","tag":"Useful Info","count":4}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/info/webhook-explain","slug":"/api-reference/info/webhook-explain","pageMetadata":{"title":"Callback Description","description":null,"href":"/api-reference/info/webhook-explain"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,hr:`hr`,li:`li`,p:`p`,ul:`ul`,..._provideComponents(),...props.components},{Heading,Tip}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!Tip)_missingMdxReference(`Tip`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`A callback is a notification request actively sent by the platform to the merchant regarding withdrawals or deposits. Upon receiving the notification, the merchant processes the appropriate business logic. Merchants should fully understand the callback rules and handle the callback data correctly. To learn more about the detailed callback mechanism, click `,_jsx(_components.a,{href:`/user-guide/useful-docs/webhook`,children:`here`}),`.`]}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`3`,id:`callback-request`,children:`Callback Request`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`The callback request from the platform uses the same signature method and data structure as the API requests initiated by the merchant.`}),`\n`,_jsx(_components.li,{children:`If you need to authenticate and verify the callback signature, you can generate the callback API key/Secret in the merchant dashboard.`}),`\n`,_jsxs(_components.li,{children:[`Use the `,_jsx(_components.code,{children:`webhookType`}),` parameter in the callback to determine whether it is a withdrawal or deposit callback. The content of the callback varies depending on the type.`]}),`\n`,_jsxs(_components.li,{children:[`For both receiving and sending payments, an order typically triggers two callbacks. Determine the type based on the `,_jsx(_components.code,{children:`status`}),` parameter in the callback:`,`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`When `,_jsx(_components.code,{children:`status`}),` is `,_jsx(_components.code,{children:`AwaitingConfirmation`}),`, it is the first callback.`]}),`\n`,_jsxs(_components.li,{children:[`When `,_jsx(_components.code,{children:`status`}),` is `,_jsx(_components.code,{children:`Success`}),` or `,_jsx(_components.code,{children:`Failed`}),`, it is the second callback.`]}),`\n`]}),`\n`]}),`\n`]}),`\n`,_jsx(Tip,{children:_jsxs(_components.p,{children:[`If your business does not need to display the `,_jsx(_components.code,{children:`AwaitingConfirmation`}),` status of an order, you can ignore the first callback, as it represents a transitional state of the order.`]})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`3`,id:`callback-response`,children:`Callback Response`}),`\n`,_jsxs(_components.p,{children:[`For callbacks, you need to respond with an HTTP status code `,_jsx(_components.code,{children:`200`}),` without a response body. If the server is temporarily unavailable or the response status is not `,_jsx(_components.code,{children:`200`}),`, the platform will retry the callback multiple times with increasing delay intervals. The number of retries is limited. If retries are exhausted and the callback fails, you can manually resend the callback from the “Transaction Callback” section in the merchant dashboard.`]}),`\n`,_jsx(Tip,{children:_jsxs(_components.p,{children:[`You can use tools like `,_jsx(_components.a,{href:`https://requestcatcher.com`,children:`requestcatcher.com`}),` to conveniently test your callbacks.`]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Callback Description","description":null,"href":"/api-reference/info/webhook-explain"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Callback Request","slug":"callback-request","depth":3,"children":[]},{"title":"Callback Response","slug":"callback-response","depth":3,"children":[]}],"codeExamples":{}},"jsLinks":[],"subdomain":"beijing","siteName":"Bass Wallet","title":"Callback Description - Bass Wallet","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-07T05:51:12.168Z","originalFileLocation":"api-reference/info/webhook-explain.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Bass Wallet\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/beijing/hGwnPA2yF2faT2u6/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/beijing/hGwnPA2yF2faT2u6/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/beijing/hGwnPA2yF2faT2u6/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/beijing/hGwnPA2yF2faT2u6/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/beijing/hGwnPA2yF2faT2u6/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/beijing/hGwnPA2yF2faT2u6/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/beijing/hGwnPA2yF2faT2u6/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/beijing/hGwnPA2yF2faT2u6/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/beijing/hGwnPA2yF2faT2u6/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Callback Description - Bass Wallet\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Bass Wallet\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs-en.basswallet.com/api-reference/info/webhook-explain\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://beijing.mintlify.site/_mintlify/api/og/v2?division=Useful+Info\u0026amp;title=Callback+Description\u0026amp;theme=b99ece3c3b999240d22da7dc\u0026amp;signature=c9d52da7cdb477c2e55192091c9557d610d81f29c31c8fdb00efbc369de2d3c7\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Callback Description - Bass Wallet\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://beijing.mintlify.site/_mintlify/api/og/v2?division=Useful+Info\u0026amp;title=Callback+Description\u0026amp;theme=b99ece3c3b999240d22da7dc\u0026amp;signature=c9d52da7cdb477c2e55192091c9557d610d81f29c31c8fdb00efbc369de2d3c7\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/beijing/hGwnPA2yF2faT2u6/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Bass Wallet\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#198CFF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs-en.basswallet.com/api-reference/info/webhook-explain\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/info/webhook-explain.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs-en.basswallet.com/#organization\",\"name\":\"Bass Wallet\",\"url\":\"https://docs-en.basswallet.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/beijing/v5gqfUOE1WDiXL_c/logo/light.svg?fit=max\u0026auto=format\u0026n=v5gqfUOE1WDiXL_c\u0026q=85\u0026s=0595c4688fe74961849f8c0350d24cea\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs-en.basswallet.com#website\",\"name\":\"Bass Wallet\",\"url\":\"https://docs-en.basswallet.com\",\"publisher\":{\"@id\":\"https://docs-en.basswallet.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs-en.basswallet.com/api-reference/info/webhook-explain#webpage\",\"url\":\"https://docs-en.basswallet.com/api-reference/info/webhook-explain\",\"name\":\"Callback Description\",\"dateModified\":\"2026-01-07T05:51:12.168Z\",\"isPartOf\":{\"@id\":\"https://docs-en.basswallet.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs-en.basswallet.com/api-reference/info/webhook-explain#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs-en.basswallet.com/api-reference/info/webhook-explain#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Integration Guide\",\"item\":\"https://docs-en.basswallet.com/api-reference/info/api-key\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Callback Description\",\"item\":\"https://docs-en.basswallet.com/api-reference/info/webhook-explain\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs-en.basswallet.com/api-reference/info/webhook-explain#article\",\"headline\":\"Callback Description\",\"name\":\"Callback Description\",\"url\":\"https://docs-en.basswallet.com/api-reference/info/webhook-explain\",\"mainEntityOfPage\":{\"@id\":\"https://docs-en.basswallet.com/api-reference/info/webhook-explain#webpage\"},\"dateModified\":\"2026-01-07T05:51:12.168Z\",\"publisher\":{\"@id\":\"https://docs-en.basswallet.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs-en.basswallet.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Bass Wallet\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Bass Wallet\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/info/webhook-explain.md","siteName":"Bass Wallet","nav":{"global":null,"tabs":[{"tab":"Merchant Guide","pages":[{"title":"Merchant Guide","href":"/user-guide/overview/introduction"}]},{"tab":"Merchant API","groups":[{"group":"Integration Guide","pages":[{"group":"Integration Details","pages":[{"title":"Integration Preparation","href":"/api-reference/info/api-key"},{"title":"Request Instructions","href":"/api-reference/info/request-info"},{"title":"Response Description","href":"/api-reference/info/respose-info"},{"title":"Signature Authentication","description":null,"href":"/api-reference/info/sign-info"}]},{"group":"Useful Info","pages":[{"title":"Callback Description","href":"/api-reference/info/webhook-explain"},{"title":"Sub-Accounts","description":null,"href":"/api-reference/info/sub-accounts"},{"title":"Enum Definitions","href":"/api-reference/info/params-eum"},{"title":"Error Codes","href":"/api-reference/info/error-code"}]}]},{"group":"Request Methods","pages":[{"group":"Deposits","pages":[{"title":"Create Address","openapi":"POST /","href":"/api-reference/endpoint/receive/generate-addr"},{"title":"Address Deposit (Webhook)","openapi":"POST /","href":"/api-reference/endpoint/receive/deposit-webhook"},{"title":"Query Order (Address Deposit)","openapi":"GET /","href":"/api-reference/endpoint/receive/deposit-query"},{"title":"Create Payment","openapi":"POST /","href":"/api-reference/endpoint/receive/create_payment"},{"title":"Create Payment (Webhook)","openapi":"POST /","href":"/api-reference/endpoint/receive/payment-webhook"},{"title":"Query Order (Create Payment)","openapi":"GET /","href":"/api-reference/endpoint/receive/payment-query"}]},{"group":"Withdrawals","pages":[{"title":"Withdrawal","openapi":"POST /","href":"/api-reference/endpoint/withdraw/withdraw"},{"title":"Withdrawal (Webhook)","openapi":"POST /","href":"/api-reference/endpoint/withdraw/withdraw-webhook"},{"title":"Query Order (Withdrawal)","openapi":"GET /","href":"/api-reference/endpoint/withdraw/withdraw-query"}]},{"group":"Accounts","pages":[{"title":"Query Account Balance","openapi":"GET /","href":"/api-reference/endpoint/account/get-balance"},{"title":"Query Order History","openapi":"GET /","href":"/api-reference/endpoint/account/order-history"}]},{"group":"General","pages":[{"title":"Supported Cryptocurrencies","openapi":"GET /","href":"/api-reference/endpoint/common/token-list"},{"title":"Address Validation","openapi":"POST /","href":"/api-reference/endpoint/common/address-legal"},{"title":"Supported Fiat Currencies","openapi":"GET /","href":"/api-reference/endpoint/common/currency-list"},{"title":"Convert Fiat Currency to Fiat Currency","openapi":"POST /","href":"/api-reference/endpoint/common/fiat-to-fiat"},{"title":"Convert Fiat Currency to Cryptocurrency","openapi":"POST /","href":"/api-reference/endpoint/common/fiat-to-crypto"},{"title":"Convert Cryptocurrency to Fiat","openapi":"POST /","href":"/api-reference/endpoint/common/crypto-to-fiat"}]}]}]},{"tab":"FAQs","pages":[{"title":"FAQs","href":"/questions/questions/webhook"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/update-log/api-update/logs"}]}]},"basePath":"","title":"Callback Description - Bass Wallet","buildId":"dpl_5joLUXmnJgwqjrHAS4dxZrQTdxgh","deploymentId":"dpl_5joLUXmnJgwqjrHAS4dxZrQTdxgh","dynamics":[],"chunks":[]}